For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
      • Filters Overview
      • Study Distribution (Quotas) with Filters
      • GETList all filters
      • GETGet filter distribution
      • POSTCount participants
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceFilters

Count participants

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/eligibility-count/
POST
/api/v1/eligibility-count/
$curl -X POST https://api.prolific.com/api/v1/eligibility-count/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "filters": [
> {
> "filter_id": "favourite_colour",
> "selected_values": [
> "0",
> "1"
> ]
> },
> {
> "filter_id": "previous_studies_allowlist",
> "selected_values": [
> "645e4403bdd06d5f66d8fbde",
> "645e4403bdd06d5f66d8fbdf"
> ]
> },
> {
> "filter_id": "approval_rate",
> "selected_range": {
> "lower": 10,
> "upper": 80
> }
> }
> ],
> "workspace_id": "645e4403bdd06d5f66d8fbd8"
>}'
1{
2 "count": 42
3}

Count how many participants meet all the given filters. Only participants that pass every one of the filters are counted. Zero means that there are less than 25 participants. We do not show lower numbers to protect the privacy of the participants.

To see a list of filters that may be passed to this endpoint, see the documentation for filters.

Was this page helpful?
Previous

Get filter distribution

Next

Filter Sets

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Request

This endpoint expects an object.
filterslist of objectsRequired
List of filters to apply to the count. This parameter uses the new, simplified filters schema for interacting with eligibility.
workspace_idstringOptional
The ID of the workspace you will be creating a study in. Due to US tax laws, non US residents may not participate in studies created by US researchers. For this reason, we use the country specified in the workspace to determine eligibility. If you do not specify a workspace ID, we will use the current workspace ID of the user making the request. Your eligibility count may not be accurate if you do not specify a workspace ID.
organisation_idstringOptional
The ID of the workspace you will be creating a filterset in.

Response

Count
countdouble
Number of participants passing all the requirements

Errors

4XX
Client Request Error